#!/bin/bash

set -e 

. /opt/dspg/v2.3.0-rc2/environment-setup-cortexa9-neon-dspg-linux-gnueabi

CURDIR=`pwd`
BUILD_OUT=${CURDIR}/../build_out

if [ "$1" = "clean" ] || [ "$1" = "distclean" ];then
	make $1
	exit
fi

#prevent reconfigure for Makefile
touch Makefile.in
touch aclocal.m4

mkdir -p $BUILD_OUT
if [ "$1" = "configure" ];then
	./configure ${CONFIGURE_FLAGS} \
		--prefix=$BUILD_OUT
fi

make clean
make
make install 
