/*
 *  linux/arch/arm/mach-dvf/include/mach/clock.h
 *
 *  Copyright (C) 2011 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */
#ifndef MACH_CLOCK_H
#define MACH_CLOCK_H

int __init dvf_clk_init(void);
int dvf_get_wdt_reset_ind(void);

enum eth_mode {
	ETH_MII,
	ETH_SLVMII,
	ETH_RMII,
	ETH_SLVRMII,
	ETH_RGMII,

	NUM_ETH_MODES
};

enum eth_speed {
	ETH_SPEED_10,
	ETH_SPEED_100,
	ETH_SPEED_1000,

	NUM_ETH_SPEEDS,
};

int dvf_eth_set_mode(enum eth_mode mode, enum eth_speed speed);

#endif
