/*
 * arch/arm/mach-dvf/include/mach/led_ht.h
 *
 * led support for ht8xx
 *
 * (c) 2013 Grandstream Networks, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef __ASM_ARCH_DVF_LED_HT_H
#define __ASM_ARCH_DVF_LED_HT_H

struct led_t
{
    char * name;
    unsigned int gpio;
};

int gs_led_set(const char * led_name, const int on);
struct led_t * gs_get_led_pattern_ptr(int * led_num);
struct led_t * gs_get_led_rj45_ptr(void);

#endif /* __ASM_ARCH_DVF_LED_HT_H */
