/* $Id: upnpdescstrings.h,v 1.10 2015/09/22 10:07:13 nanard Exp $ */
/* miniupnp project
 * http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
 * (c) 2006-2013 Thomas Bernard
 * This software is subject to the coditions detailed in
 * the LICENCE file provided within the distribution */
#ifndef UPNPDESCSTRINGS_H_INCLUDED
#define UPNPDESCSTRINGS_H_INCLUDED

#include "config.h"

/* strings used in the root device xml description */
#define ROOTDEV_FRIENDLYNAME		"Grandstream Router"
#define ROOTDEV_MANUFACTURER		"Grandstream Networks, Inc."
#define ROOTDEV_MANUFACTURERURL		"http://www.grandstream.com/"
#define ROOTDEV_MODELNAME		"HT"
#define ROOTDEV_MODELDESCRIPTION	"HT"
#define ROOTDEV_MODELURL		"http://www.grandstream.com/"

#define WANDEV_FRIENDLYNAME		"WAN Port"
#define WANDEV_MANUFACTURER		"Grandstream Networks, Inc."
#define WANDEV_MANUFACTURERURL		"http://www.grandstream.com"
#define WANDEV_MODELNAME		"HT"
#define WANDEV_MODELDESCRIPTION		"HT"
#define WANDEV_MODELNUMBER		"HT"
#define WANDEV_MODELURL			"http://www.grandstream.com"
#define WANDEV_UPC			"HT"

#define WANCDEV_FRIENDLYNAME		"HT"
#define WANCDEV_MANUFACTURER		WANDEV_MANUFACTURER
#define WANCDEV_MANUFACTURERURL		WANDEV_MANUFACTURERURL
#define WANCDEV_MODELNAME		"HT"
#define WANCDEV_MODELDESCRIPTION	"HT"
#define WANCDEV_MODELNUMBER		"HT"
#define WANCDEV_MODELURL		"http://www.grandstream.com/"
#define WANCDEV_UPC			"HT"

#endif

