#!/bin/bash

if [ $# -lt 2 ]; then
    echo "Need at least two arguments"
    exit 1
fi    

IN=${1}
OUT=${2}

if [ ! -s ${IN} ]; then
    echo "${IN} is empty."
    exit 1
fi    

sed "s/ --- NVRAM.*//g" ${1} > ${2}
sed -i 's/[ \t]*$//g' ${2}
