#!/bin/bash

CDIR=`pwd`
CACHEFILE="arm-linux.cache"

source /opt/dspg/v1.2.6.1-rc2/environment-setup-armv5te-dspg-linux-uclibceabi
if [ "$1" = "configure" ];then
	# prepare the cache file for cross-compile
	echo ax_cv_cc_builtin_choose_expr=no > ${CACHEFILE}
	echo ax_cv_cc_builtin_types_compatible_p=no >> ${CACHEFILE}
	echo ax_cv_cc_builtin_bswap64=no >> ${CACHEFILE}
	echo ax_cv_cc_bounded_attribute=no >> ${CACHEFILE}
	
	LDFLAGS="-L${CDIR}/../../../../ht/image_build/ht-build.cvscontrol/ht_image_build/base/usr/lib" \
	./configure \
		--host=arm-dspg-linux-uclibceabi \
		--cache-file=${CACHEFILE} 
fi

make clean && make
