/*
 * (C) Copyright 2015 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef __PLL_H
#define __PLL_H

#include "clock_internal.h"

int
pll_is_enabled(const struct clk *clk);

int
pll_enable(const struct clk *clk, int en);

int
set_pll_rate(const struct clk *clk, unsigned long rate);

unsigned long
get_pll_rate(const struct clk *clk);

#endif	/* __PLL_H */
