#ifndef DVF101_GPIO_H
#define DVF101_GPIO_H

#define AGPIO(x)	((0x000<<8)|(x))
#define BGPIO(x)	((0x060<<8)|(x))
#define CGPIO(x)	((0x0C0<<8)|(x))
#define DGPIO(x)	((0x120<<8)|(x))
#define EGPIO(x)	((0x180<<8)|(x))

#define DVF101_GPIO_BASE	0x05000000

#ifndef __ASSEMBLY__

int  gpio_get_value(int gpio);
void gpio_set_value(int gpio, int value);
void gpio_direction_input(int gpio);
void gpio_direction_output(int gpio, int value);
void gpio_enable(int gpio);

#endif

#endif
