/*
 * (C) Copyright 2012, 2014, 2015 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <asm/io.h>
#include <asm/arch/pads.h>
#include <asm/arch/gpio.h>
#include <asm/arch/hardware.h>
#include <asm/arch/keypad.h>

void
board_keypad_init(void)
{
	/* rectangular keypad: */

	io_mux("key_row0");
	io_mux("key_row1");
	io_mux("key_row2");
	io_mux("key_row3");
	io_mux("key_row4");
	io_mux("key_row5");

	io_pull("key_row0", 1, 1);
	io_pull("key_row1", 1, 1);
	io_pull("key_row2", 1, 1);
	io_pull("key_row3", 1, 1);
	io_pull("key_row4", 1, 1);
	io_pull("key_row5", 1, 1);

	io_mux("key_col0");
	io_mux("key_col1");
	io_mux("key_col2");
	io_mux("key_col3");
	io_mux("key_col4");
	io_mux("key_col5");

	dvf99_keypad_init(6, 6);

	/* triangular keypad: */

	/*
	unsigned int reg;

	io_pull("key_row0", 1, 1);
	io_pull("key_row1", 1, 1);
	io_pull("key_row2", 1, 1);
	io_pull("key_row3", 1, 1);
	io_pull("key_row4", 1, 1);
	io_pull("key_row5", 1, 1);
	io_pull("key_col0", 1, 1);
	io_pull("key_col1", 1, 1);
	io_pull("key_col2", 1, 1);
	io_pull("key_col3", 1, 1);

	io_mux("tri_kpd0");
	io_mux("tri_kpd1");
	io_mux("tri_kpd2");
	io_mux("tri_kpd3");
	io_mux("tri_kpd4");
	io_mux("tri_kpd5");
	io_mux("tri_kpd6");
	io_mux("tri_kpd7");
	io_mux("tri_kpd8");
	io_mux("tri_kpd9");

	reg = readl(DVF97_SYSCFG_BASE + DVF97_SYSCFG_GCR1);
	reg |= 0x3ff;
	writel(reg, DVF97_SYSCFG_BASE + DVF97_SYSCFG_GCR1);
	*/
}
