/*
 * (C) Copyright 2015 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <asm/io.h>
#include <asm/arch/gpio.h>
#include <asm/arch/pads.h>
#include <asm/arch/hardware.h>
#include <asm/arch/dvf9a.h>
#include <asm/arch/rf_daif.h>

void board_rf_daif_init(void)
{
	pads_enable("rfapu");

	gpio_disable(BGPIO(31)); /* ? */
	gpio_disable(BGPIO(25));
	gpio_disable(BGPIO(24));
	gpio_disable(BGPIO(23));
	gpio_disable(BGPIO(22));
	gpio_disable(BGPIO(21));
	gpio_disable(BGPIO(20));
	gpio_disable(BGPIO(19));
	gpio_disable(BGPIO(18));
	gpio_disable(BGPIO(17));
	gpio_disable(BGPIO(11)); /* syncport */
}
