#ifndef __CONFIG_EVB101_EMMC_H
#define __CONFIG_EVB101_EMMC_H

#define CONFIG_IDENT_STRING " evb101-emmc"

/*
 * Device drivers & peripherals:
 */
#define CONFIG_EMMC
#define SYNDWC_CLK_TUNING
#define CONFIG_EMMC_TUNE_BY_WRITING
#define CONFIG_EMMC_TUNE_PARTITION	2
#define CONFIG_NETWORKING
#define CONFIG_LCD_DSPG
#define CONFIG_DSPG_FB_ADDR	0x43800000

/*
 * Board-specific configuration:
 */
#define CONFIG_SDMMC_4BIT

/*
 * Configure which UART to use for stdio
 * 0: choose UART according to straps
 * 1: UART1
 * 2: UART2
 * 3: UART3
 * 4: UART4
 */
#define CONFIG_USE_UART		0

#ifdef CONFIG_NETWORKING
    #define CONFIG_RMII
    #define CONFIG_RTL83XX_SWITCH
    #define CONFIG_MDC_MDIO_OPERATION
    #define CONFIG_CHIP_RTL8365MB
    #define CONFIG_PHY_FIXED

    #define CONFIG_ETH_RESET_GPIO CGPIO(28)
    #define CONFIG_ETH_RESET_IO "cgpio28"
    #define CONFIG_RTK_EXT_PORT EXT_PORT_0
#endif

#include <configs/dvf101.h>

#endif
