#!/bin/bash

. /opt/dspg/v2.3.0-rc2/environment-setup-cortexa9-neon-dspg-linux-gnueabi

DHCPV6_CFLAGS=""
DHCPV6_CONFIG="${CONFIGURE_FLAGS} "

# Compile flags
DHCPV6_CFLAGS="-D_GNU_SOURCE"

# Configuration flags
#DHCPV6_CONFIG="${DHCPV6_CONFIG}--prefix=/usr "
DHCPV6_CONFIG="${DHCPV6_CONFIG}--with-localdbdir=/etc "
DHCPV6_CONFIG="${DHCPV6_CONFIG}--sysconfdir=/etc "

if [ $# -gt 0 ] && [ "${1}" = "-clean" ]; then
	make distclean
	exit
fi

if [ $# -gt 0 ] && [ "${1}" = "-configure" ]; then
	ac_cv_func_setpgrp_void=yes CFLAGS=${DHCPV6_CFLAGS} ./configure ${DHCPV6_CONFIG}
	exit
fi

make
$STRIP dhcp6c dhcp6s

cp -v dhcp6c dhcp6s ../../../../ht/image_build/image_source/base/usr/sbin
