#!/bin/bash

CDIR=`pwd`
INSDIR=${CDIR}/../../../../ht/image_build/image_source/prog/lighttpd/
INS_LIBS="
mod_access.so
mod_indexfile.so
mod_staticfile.so
mod_cgi.so
mod_rewrite.so
mod_redirect.so
mod_dirlisting.so
"

INS_SBINS="
lighttpd
lighttpd-angel
"

install -vd ${INSDIR}/lib
install -vd ${INSDIR}/sbin

#install lighttpd and modules
for FILE in $INS_LIBS
do
	install -v buildout/app/lighttpd/lib/$FILE ${INSDIR}/lib
done

for FILE in $INS_SBINS
do
	install -v buildout/app/lighttpd/sbin/$FILE ${INSDIR}/sbin
done

#install libpcre
cp -Pv buildout/app/lighttpd/lib/libpcre.so* ${INSDIR}/lib
