#ifndef __RTL8363_FUNC_H__
#define __RTL8363_FUNC_H__

#include <linux/phy.h>
#include "rtk_types.h"
#include "smi.h"

#define RTL_PHY_MASK 0xFFFFFFF5 /* RTL8363NB */

int rtl8363_switch_phy_link_state(int port);
void rtl8363_lan_port_enable(int enable);
void rtl8363_pc_port_mirror(int enable);
void rtl8363_pc_port_vlan(int id, int priority);
void rtl8363_init_port(int lan, int wan);
rtk_api_ret_t rtl8363_set_eee(rtk_enable_t enable);
int rtl8363_port_isolation(int isolat);
rtk_api_ret_t rtl8363_switch_init(struct mii_bus *bus, smi_mdio_read read, smi_mdio_write write);
int rtl8363_switch_mdio_read(struct mii_bus *bus, int phyaddr, int phyreg);
int rtl8363_switch_mdio_write(struct mii_bus *bus, int phyaddr, int phyreg, u16 phydata);
int rtl8363_switch_mdio_reset(struct mii_bus *bus);

#endif
