/*
 * Copyright (C) 2016 DSPG (DSP Group).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#ifndef __SND_DVF_H
#define __SND_DVF_H

#ifdef CONFIG_SND_DVF_SOC
int dvf_snd_init(void);
void dvf_snd_exit(void);
#else
static inline int dvf_snd_init(void)
{
	return 0;
}
static inline dvf_snd_exit(void)
{
}
#endif

#ifdef CONFIG_SND_SOC_DCX81
int dvf_snd_cmbs_init(void);
void dvf_snd_cmbs_exit(void);
#else
static inline int dvf_snd_cmbs_init(void)
{
	return 0;
}
static inline dvf_snd_cmbs_exit(void)
{
}
#endif

#ifdef CONFIG_SND_SOC_SI32178
int dvf_snd_fxs_init(void);
void dvf_snd_fxs_exit(void);
#else
static inline int dvf_snd_fxs_init(void)
{
	return 0;
}
static inline dvf_snd_fxs_exit(void)
{
}
#endif

#ifdef CONFIG_SND_SOC_CSR8811
int dvf_snd_bt_init(void);
void dvf_snd_bt_exit(void);
#else
static inline int dvf_snd_bt_init(void)
{
	return 0;
}
static inline void dvf_snd_bt_exit(void)
{
}
#endif

#endif	/* __SND_DVF_H */
