/*
 * (C) Copyright 2013, DSP Group
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __DVF99_KEYPAD_H

#ifdef CONFIG_KEYPAD
void dvf99_keypad_setup(void);
void dvf99_keypad_init(int nr_rows, int nr_cols);
void dvf99_keypad_late_init(void);
void dvf99_keypad_debug(void);
int  dvf99_keypad_scan(int row, int col);
void board_keypad_init(void);
#else
static inline void board_keypad_init(void) { }
static inline void dvf99_keypad_late_init(void) { }
static inline void dvf99_keypad_debug(void) { }
#endif

#endif
