/*
 * (C) Copyright 2012 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <asm/io.h>
#include <asm/arch/gpio.h>
#include <asm/arch/hardware.h>
#include <asm/arch/keypad.h>

void
board_keypad_init(void)
{
	io_mux("key_row0");
	io_mux("key_row1");
	io_mux("key_row2");
	io_mux("key_row3");
	io_mux("key_row4");
	io_mux("key_col0");
	io_mux("key_col1");
	io_mux("key_col2");
	io_mux("key_col3");
	io_mux("key_col4");
	io_mux("key_col5");

	dvf99_keypad_init(5, 6);
}
