/*
 * (C) Copyright 2012 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>

#include <spi.h>

#include <asm/io.h>
#include <asm/arch/gpio.h>
#include <asm/arch/clock.h>
#include <asm/arch/hardware.h>
#include <asm/arch/spi.h>

void
board_spi_init(void)
{
	reset_release("spi3_clk");
	clk_set_rate("spi3_clk", 2000000);
	clk_enable("spi3_clk");

	io_mux("spi3ck");
	io_mux("spi3cs0");
	io_mux("spi3di");
	io_mux("spi3do");
}

void spi_3wire(unsigned int bus, int read) { }

void spi_cs_activate(struct spi_slave *slave)
{
/* TODO
	if (slave->bus == 1)
		gpio_set_value(AGPIO(27), 0);
*/
}

void spi_cs_deactivate(struct spi_slave *slave)
{
/* TODO
	if (slave->bus == 1)
		gpio_set_value(AGPIO(27), 1);
*/
}

