/*
 * (C) Copyright 2017 DSP Group
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <asm/io.h>
#include <asm/arch/io.h>
#include <asm/arch/rf_spif.h>

void board_rf_spif_init(void)
{
	io_mux("rf_radio_en");
	io_mux("rf_rstn");
	io_mux("rf_sclk");
	io_mux("rf_sdata_in");
	io_mux("rf_sdata_out");
	io_mux("rf_sen");
	io_mux("rf_slot_ctrl");
	io_mux("rf_sync_match");
	io_mux("rf_tr_data");
}
