#ifndef __CONFIG_EVB101_FPGA_H
#define __CONFIG_EVB101_FPGA_H

#define CONFIG_IDENT_STRING " evb101-fpga"

/*
 * Device drivers & peripherals:
 */

#define CONFIG_NETWORKING

/*
 * Configure which UART to use for stdio
 * 0: choose UART according to straps
 * 1: UART1
 * 2: UART2
 * 3: UART3
 * 4: UART4
 */
#define CONFIG_USE_UART		0

#ifdef CONFIG_NETWORKING
    #define CONFIG_MII
#endif

#include <configs/dvf101.h>

#endif
