#ifndef __CONFIG_EVB97_H
#define __CONFIG_EVB97_H

#define CONFIG_IDENT_STRING " evb97"

/*
 * Device drivers & peripherals:
 */
#define CONFIG_QSPI
#define CONFIG_NETWORKING
#define CONFIG_I2C
#define CONFIG_DSPG_SPI
#define CONFIG_KEYPAD
#define CONFIG_TDM
#define CONFIG_APU

/*
 * Board-specific configuration:
 */

/*
 * Configure which UART to use for stdio
 * 1: UART1
 * 2: UART2
 */
#define CONFIG_USE_UART		1

#ifdef CONFIG_NETWORKING
    #define CONFIG_RMII

    /* #define CONFIG_QCA833X_SWITCH */
    /* #define CONFIG_MDC_MDIO_OPERATION */
    /* #define CONFIG_MAIN_CLK_OUT */

    #define CONFIG_RTL8309_SWITCH
    #define RTL8304MB
    #define CONFIG_MDC_MDIO_OPERATION

    /* #define CONFIG_RMII_CLK_OFF_CHIP */

    /* #define CONFIG_PHY8710 */
#endif

#include <configs/dvf97.h>

#endif
