#ifndef __CONFIG_EVB994L_REV2_NAND_H
#define __CONFIG_EVB994L_REV2_NAND_H

#define CONFIG_IDENT_STRING " evb994lrev2-emmc"

/*
 * Device drivers & peripherals:
 */
#define CONFIG_EMMC_CARDNUM	"0"
#define CONFIG_EMMC
#define CONFIG_NETWORKING
#define CONFIG_USB
#define CONFIG_LCD
#define CONFIG_MMC
#define CONFIG_I2C
#define CONFIG_DSPG_SPI
#define CONFIG_KEYPAD
#define CONFIG_TDM
#define CONFIG_APU

#define CONFIG_SYS_NO_FLASH

/*
 * Board-specific configuration:
 */
#define CONFIG_SDMMC_LOC_VAL	1
#define CONFIG_SDMMC_4BIT

/*
 * Configure which UART to use for stdio
 * 0: choose UART1 or UART2 according to straps
 * 1: UART1
 * 2: UART2
 */
#define CONFIG_USE_UART		0

/* Only relevant when using UART2 */
#define CONFIG_UART2_LOC_VAL	0

#ifdef CONFIG_NETWORKING
    /* MII interface will be used by default */
    /* Enable one of the below in order to override (but keep CONFIG_MII above defined!) */
    /* #define CONFIG_SLVMII */
    /* #define CONFIG_RMII */
    /* #define CONFIG_SLVRMII */
    #define CONFIG_RGMII

    /* RTL switch configuration */
    #define CONFIG_RTL83XX_SWITCH
    #define CONFIG_MDC_MDIO_OPERATION
    #define CONFIG_CHIP_RTL8365MB
    /* #define CONFIG_PHY8710 */

    #define CONFIG_ETH_RESET_GPIO EGPIO(10)
    #define CONFIG_RTK_EXT_PORT EXT_PORT_0
#endif

#include <configs/dvf99.h>

#endif
